diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/ChunkGeneratorDrift.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/ChunkGeneratorDrift.java
index aaf56a65f..3382461c3 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/ChunkGeneratorDrift.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/ChunkGeneratorDrift.java
@@ -6,12 +6,11 @@ import net.minecraft.core.world.generate.LargeFeature;
 import net.minecraft.core.world.generate.chunk.perlin.ChunkGeneratorPerlin;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.ChunkDecoratorOverworld;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.SurfaceGeneratorOverworld;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkGeneratorDrift
-    extends ChunkGeneratorPerlin
-{
-    public ChunkGeneratorDrift(World world)
-    {
-        super(world, new ChunkDecoratorOverworld(world), new TerrainGeneratorDrift(world), new SurfaceGeneratorOverworld(world), new LargeFeature[] { new CavesLargeFeature() });
+    extends ChunkGeneratorPerlin {
+    public ChunkGeneratorDrift(@NotNull World world) {
+        super(world, new ChunkDecoratorOverworld(world), new TerrainGeneratorDrift(world), new SurfaceGeneratorOverworld(world), new LargeFeature[]{new CavesLargeFeature()});
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/DensityGeneratorDrift.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/DensityGeneratorDrift.java
index f379e4f54..38389b6ff 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/DensityGeneratorDrift.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/DensityGeneratorDrift.java
@@ -4,33 +4,31 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.perlin.DensityGenerator;
 import net.minecraft.core.world.noise.PerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 public class DensityGeneratorDrift
-    implements DensityGenerator
-{
-    private final World world;
+    implements DensityGenerator {
+    private final @NotNull World world;
 
-    private final PerlinNoise minLimitNoise;
-    private final PerlinNoise maxLimitNoise;
-    private final PerlinNoise mainNoise;
+    private final @NotNull PerlinNoise minLimitNoise;
+    private final @NotNull PerlinNoise maxLimitNoise;
+    private final @NotNull PerlinNoise mainNoise;
 //    private final PerlinNoise scaleNoise;
 //    private final PerlinNoise depthNoise;
 
-    public DensityGeneratorDrift(World world)
-    {
+    public DensityGeneratorDrift(@NotNull World world) {
         this.world = world;
 
-        minLimitNoise = new PerlinNoise(world.getRandomSeed(), 16, 0);
-        maxLimitNoise = new PerlinNoise(world.getRandomSeed(), 16, 16);
-        mainNoise = new PerlinNoise(world.getRandomSeed(), 8, 32);
+        this.minLimitNoise = new PerlinNoise(world.getRandomSeed(), 16, 0);
+        this.maxLimitNoise = new PerlinNoise(world.getRandomSeed(), 16, 16);
+        this.mainNoise = new PerlinNoise(world.getRandomSeed(), 8, 32);
 //        scaleNoise = new PerlinNoise(world.getRandomSeed(), 10, 48);
 //        depthNoise = new PerlinNoise(world.getRandomSeed(), 16, 58);
     }
 
     @Override
-    public double[] generateDensityMap(Chunk chunk)
-    {
-        int terrainHeight = (world.getWorldType().getMaxY() + 1) - world.getWorldType().getMinY();
+    public double @NotNull [] generateDensityMap(@NotNull Chunk chunk) {
+        int terrainHeight = (this.world.getWorldType().getMaxY() + 1) - this.world.getWorldType().getMinY();
 
         int xSize = 4 + 1;
         int ySize = (terrainHeight / 8) + 1;
@@ -64,17 +62,15 @@ public class DensityGeneratorDrift
         // uses temp and humidity to alter terrain shape.
 //        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
 //        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
-        double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
-        double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] mainNoiseArray = this.mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
+        double[] minLimitArray = this.minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] maxLimitArray = this.maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
         int mainIndex = 0;
 //        int depthScaleIndex = 0;
         int xSizeScale = 16 / xSize;
-        for(int dx = 0; dx < xSize; dx++)
-        {
+        for (int dx = 0; dx < xSize; dx++) {
             int ix = dx * xSizeScale + xSizeScale / 2;
-            for(int dz = 0; dz < zSize; dz++)
-            {
+            for (int dz = 0; dz < zSize; dz++) {
                 int iz = dz * xSizeScale + xSizeScale / 2;
 
                 // used to control temperature based on temp and humid
@@ -118,8 +114,7 @@ public class DensityGeneratorDrift
 //                double offsetY = (double)ySize / 2D;
 //                depthScaleIndex++;
 
-                for(int dy = 0; dy < ySize; dy++)
-                {
+                for (int dy = 0; dy < ySize; dy++) {
                     double density = 0.0D;
 //                    double densityOffset = (((double)dy - offsetY) * heightStretch) / scale;
 //                    if(densityOffset < 0.0D)
@@ -129,32 +124,25 @@ public class DensityGeneratorDrift
                     double minDensity = minLimitArray[mainIndex] / upperLimitScale;
                     double maxDensity = maxLimitArray[mainIndex] / lowerLimitScale;
                     double mainDensity = (mainNoiseArray[mainIndex] / 10D + 1.0D) / 2D;
-                    if(mainDensity < 0.0D)
-                    {
+                    if (mainDensity < 0.0D) {
                         density = minDensity;
-                    }
-                    else if(mainDensity > 1.0D)
-                    {
+                    } else if (mainDensity > 1.0D) {
                         density = maxDensity;
-                    }
-                    else
-                    {
+                    } else {
                         density = minDensity + (maxDensity - minDensity) * mainDensity;
                     }
                     density -= 8D;
 
                     int upperLowerLimit = 8;
                     // Upper cutoff
-                    if(dy > ySize - upperLowerLimit)
-                    {
-                        double densityMod = (float)(dy - (ySize - upperLowerLimit)) / ((float)upperLowerLimit - 1.0F);
+                    if (dy > ySize - upperLowerLimit) {
+                        double densityMod = (float) (dy - (ySize - upperLowerLimit)) / ((float) upperLowerLimit - 1.0F);
                         density = density * (1.0D - densityMod) + -30D * densityMod;
                     }
                     upperLowerLimit = 2;
                     // Lower cutoff
-                    if(dy < upperLowerLimit)
-                    {
-                        double densityMod = (float)(upperLowerLimit - dy) / ((float)upperLowerLimit - 1.0F);
+                    if (dy < upperLowerLimit) {
+                        double densityMod = (float) (upperLowerLimit - dy) / ((float) upperLowerLimit - 1.0F);
                         density = density * (1.0D - densityMod) + -30D * densityMod;
                     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/TerrainGeneratorDrift.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/TerrainGeneratorDrift.java
index ae40b5199..85453e440 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/TerrainGeneratorDrift.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/drift/TerrainGeneratorDrift.java
@@ -5,32 +5,28 @@ import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.perlin.DensityGenerator;
 import net.minecraft.core.world.generate.chunk.perlin.TerrainGeneratorLerp;
 import net.minecraft.core.world.type.WorldType;
+import org.jetbrains.annotations.NotNull;
 
 public class TerrainGeneratorDrift
-    extends TerrainGeneratorLerp
-{
-    private final DensityGenerator densityGenerator;
+    extends TerrainGeneratorLerp {
+    private final @NotNull DensityGenerator densityGenerator;
 
-    public TerrainGeneratorDrift(World world)
-    {
+    public TerrainGeneratorDrift(@NotNull World world) {
         super(world);
 
         this.densityGenerator = new DensityGeneratorDrift(world);
     }
 
     @Override
-    public DensityGenerator getDensityGenerator()
-    {
-        return densityGenerator;
+    public @NotNull DensityGenerator getDensityGenerator() {
+        return this.densityGenerator;
     }
 
     @Override
-    protected int getBlockAt(Chunk chunk, int x, int y, int z, double density)
-    {
-        WorldType type = world.getWorldType();
+    protected int getBlockAt(@NotNull Chunk chunk, int x, int y, int z, double density) {
+        WorldType type = this.world.getWorldType();
 
-        if (density > 0.0)
-        {
+        if (density > 0.0) {
             return type.getFillerBlockId();
         }
 
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java
index 0dda34cd8..bf6ddec81 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java
@@ -9,29 +9,27 @@ import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 import net.minecraft.core.world.generate.feature.*;
 import net.minecraft.core.world.noise.PerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 import java.util.Random;
 
 public class ChunkDecoratorNether
-    implements ChunkDecorator
-{
-    private final World world;
-    private final PerlinNoise crystalDensityNoise;
+    implements ChunkDecorator {
+    private final @NotNull World world;
+    private final @NotNull PerlinNoise crystalDensityNoise;
 
-    public ChunkDecoratorNether(World world)
-    {
+    public ChunkDecoratorNether(@NotNull World world) {
         this.world = world;
-        crystalDensityNoise = new PerlinNoise(world.getRandomSeed(), 6, 74);
+        this.crystalDensityNoise = new PerlinNoise(world.getRandomSeed(), 6, 74);
     }
 
     @Override
-    public void decorate(Chunk chunk)
-    {
+    public void decorate(@NotNull Chunk chunk) {
         int chunkX = chunk.pos.x;
         int chunkZ = chunk.pos.z;
 
-        int minY = world.getWorldType().getMinY();
-        int maxY = world.getWorldType().getMaxY();
+        int minY = this.world.getWorldType().getMinY();
+        int maxY = this.world.getWorldType().getMaxY();
         int rangeY = (maxY + 1) - minY;
 
         Random rand = new Random((long) chunkX * 0x4f9939f508L + (long) chunkZ * 0x1ef1565bd5L);
@@ -39,43 +37,42 @@ public class ChunkDecoratorNether
         BlockLogicSand.fallInstantly = true;
         int x = chunkX * 16;
         int z = chunkZ * 16;
-        Biome biome = world.getBlockBiome(x + 16, minY, z + 16);
+        Biome biome = this.world.getBlockBiome(x + 16, minY, z + 16);
 
         if (biome == Biomes.NETHER_CRYSTAL_FOREST) {
             double noiseScale = 0.5;
 
-            int density = (int) ((crystalDensityNoise.get(x * noiseScale, z * noiseScale) - 6D + 36D) / 6D);
+            int density = (int) ((this.crystalDensityNoise.get(x * noiseScale, z * noiseScale) - 6D + 36D) / 6D);
 
             for (int i = 0; i < density - 5; i++) {
                 int xf = x + rand.nextInt(16) + 8;
-                int yf = world.getWorldType().getOceanY() + rand.nextInt(5);
+                int yf = this.world.getWorldType().getOceanY() + rand.nextInt(5);
                 int zf = z + rand.nextInt(16) + 8;
                 boolean isCeiling = rand.nextInt(5) == 0;
-                new WorldFeatureCrystalChunk(isCeiling).place(world, rand, xf, yf, zf);
+                new WorldFeatureCrystalChunk(isCeiling).place(this.world, rand, xf, yf, zf);
             }
 
 
             for (int i = 0; i < density - 5; i++) {
                 int xf = x + rand.nextInt(16) + 8;
-                int yf = world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
+                int yf = this.world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
                 int zf = z + rand.nextInt(16) + 8;
-                new WorldFeatureCrystalChunk(false, 15, 30, true).place(world, rand, xf, yf, zf);
+                new WorldFeatureCrystalChunk(false, 15, 30, true).place(this.world, rand, xf, yf, zf);
 
             }
 
             for (int i = 0; i < 40; i++) {
                 int xf = x + rand.nextInt(16) + 8;
-                int yf = world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
+                int yf = this.world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
                 int zf = z + rand.nextInt(16) + 8;
-                (new WorldFeatureDeadBush(Blocks.CRYSTAL_STALK.id())).place(world, rand, xf, yf, zf);
+                (new WorldFeatureDeadBush(Blocks.CRYSTAL_STALK.id())).place(this.world, rand, xf, yf, zf);
             }
 
-            for(int l18 = 0; l18 < 50; l18++)
-            {
+            for (int l18 = 0; l18 < 50; l18++) {
                 int l21 = x + rand.nextInt(16) + 8;
                 int k23 = minY + rand.nextInt(rand.nextInt(rangeY - (rangeY / 16)) + (rangeY / 16));
                 int l24 = z + rand.nextInt(16) + 8;
-                (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id())).place(world, rand, l21, k23, l24);
+                (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id())).place(this.world, rand, l21, k23, l24);
             }
 
         }
@@ -92,68 +89,62 @@ public class ChunkDecoratorNether
         if (biome == Biomes.NETHER_ASH_PLAINS) {
             if (rand.nextInt(2) == 0) {
                 int xf = x + rand.nextInt(16) + 8;
-                int yf = world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
+                int yf = this.world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
                 int zf = z + rand.nextInt(16) + 8;
-                new WorldFeaturePillar(Blocks.SLATE.id(), false).place(world, rand, xf, yf, zf);
+                new WorldFeaturePillar(Blocks.SLATE.id(), false).place(this.world, rand, xf, yf, zf);
             }
         }
 
         if (biome != Biomes.NETHER_ASH_PLAINS && biome != Biomes.NETHER_BONEYARD) {
-            for(int i = 0; i < 8; i++)
-            {
+            for (int i = 0; i < 8; i++) {
                 int xf = x + rand.nextInt(16) + 8;
                 int yf = rangeY / 2 + rand.nextInt(rangeY - 8) + 4;
                 int zf = z + rand.nextInt(16) + 8;
-                (new WorldFeatureNetherLava(Blocks.FLUID_LAVA_FLOWING.id())).place(world, rand, xf, yf, zf);
+                (new WorldFeatureNetherLava(Blocks.FLUID_LAVA_FLOWING.id())).place(this.world, rand, xf, yf, zf);
             }
         }
 
-        for(int i = 0; i < 10; i++)
-        {
+        for (int i = 0; i < 10; i++) {
             int xf = x + rand.nextInt(16);
             int yf = rangeY / 2 + rand.nextInt(rangeY - 8) + 4;
             int zf = z + rand.nextInt(16);
-            new WorldFeatureOre(Blocks.ORE_NETHERCOAL_NETHERRACK.id(), 12).place(world, rand, xf, yf, zf);
+            new WorldFeatureOre(Blocks.ORE_NETHERCOAL_NETHERRACK.id(), 12).place(this.world, rand, xf, yf, zf);
         }
 
         int max;
         if (biome != Biomes.NETHER_ASH_PLAINS && biome != Biomes.NETHER_BONEYARD) {
             max = rand.nextInt(rand.nextInt(10) + 1);
-            for(int i = 0; i < max; i++)
-            {
+            for (int i = 0; i < max; i++) {
                 int xf = x + rand.nextInt(16) + 8;
-                int yf = world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
+                int yf = this.world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
                 int zf = z + rand.nextInt(16) + 8;
-                (new WorldFeatureFire()).place(world, rand, xf, yf, zf);
+                (new WorldFeatureFire()).place(this.world, rand, xf, yf, zf);
             }
         }
 
         if (biome == Biomes.NETHER_BONEYARD) {
             max = rand.nextInt(20) + 5;
-            for(int i = 0; i < max; i++)
-            {
+            for (int i = 0; i < max; i++) {
                 int xf = x + rand.nextInt(16) + 8;
-                int yf = world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
+                int yf = this.world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
                 int zf = z + rand.nextInt(16) + 8;
-                (new WorldFeatureColdFire()).place(world, rand, xf, yf, zf);
+                (new WorldFeatureColdFire()).place(this.world, rand, xf, yf, zf);
             }
         }
 
         max = rand.nextInt(rand.nextInt(10) + 1);
-        for(int i = 0; i < max; i++)
-        {
+        for (int i = 0; i < max; i++) {
             int xf = x + rand.nextInt(16) + 8;
-            int yf = world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
+            int yf = this.world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
             int zf = z + rand.nextInt(16) + 8;
-            new WorldFeatureGlowstoneA().place(world, rand, xf, yf, zf);
+            new WorldFeatureGlowstoneA().place(this.world, rand, xf, yf, zf);
         }
 
-        for(int i = 0; i < 10; i++)
-        {
+        for (int i = 0; i < 10; i++) {
             int xf = x + rand.nextInt(16) + 8;
-            int yf = world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
+            int yf = this.world.getWorldType().getOceanY() + rand.nextInt(rangeY - 8) + 4;
             int zf = z + rand.nextInt(16) + 8;
-            new WorldFeatureGlowstoneB().place(world, rand, xf, yf, zf);
+            new WorldFeatureGlowstoneB().place(this.world, rand, xf, yf, zf);
         }
 
         if (biome != Biomes.NETHER_ASH_PLAINS && biome != Biomes.NETHER_BONEYARD) {
@@ -161,35 +152,31 @@ public class ChunkDecoratorNether
                 int xf = x + rand.nextInt(16) + 8;
                 int yf = rangeY / 2 + rand.nextInt(rangeY - 16) + 8;
                 int zf = z + rand.nextInt(16) + 8;
-                (new WorldFeatureLake(Blocks.FLUID_LAVA_STILL.id())).place(world, rand, xf, yf, zf);
+                (new WorldFeatureLake(Blocks.FLUID_LAVA_STILL.id())).place(this.world, rand, xf, yf, zf);
             }
 
             for (int i = 0; i < /*20*/80; i++) {
                 int xf = x + rand.nextInt(16);
                 int yf = rangeY / 2 + rand.nextInt(rangeY);
                 int zf = z + rand.nextInt(16);
-                (new WorldFeaturePumice(32)).place(world, rand, xf, yf, zf);
+                (new WorldFeaturePumice(32)).place(this.world, rand, xf, yf, zf);
             }
         }
 
-        int oceanY = world.getWorldType().getOceanY();
-        int midY = oceanY + (world.getWorldType().getMaxY() - oceanY) / 2;
-        for(int dx = x + 8; dx < x + 8 + 16; dx++)
-        {
-            for(int dz = z + 8; dz < z + 8 + 16; dz++)
-            {
+        int oceanY = this.world.getWorldType().getOceanY();
+        int midY = oceanY + (this.world.getWorldType().getMaxY() - oceanY) / 2;
+        for (int dx = x + 8; dx < x + 8 + 16; dx++) {
+            for (int dz = z + 8; dz < z + 8 + 16; dz++) {
                 int dy = midY;
-                while (world.getBlockId(dx, dy, dz) == 0) {
+                while (this.world.getBlockId(dx, dy, dz) == 0) {
                     dy--;
                 }
                 dy++;
-                Biome localBiome = world.getBlockBiome(dx, dy, dz);
+                Biome localBiome = this.world.getBlockBiome(dx, dy, dz);
 
-                if ((localBiome == Biomes.NETHER_ASH_PLAINS || localBiome == Biomes.NETHER_BONEYARD) && dy > 0 && dy < world.getHeightBlocks())
-                {
-                    if (world.isAirBlock(dx, dy, dz) && world.getBlockMaterial(dx, dy - 1, dz).blocksMotion() && world.getBlockId(dx, dy - 1, dz) != Blocks.OBSIDIAN.id())
-                    {
-                        world.setBlockWithNotify(dx, dy, dz, Blocks.LAYER_ASH.id());
+                if ((localBiome == Biomes.NETHER_ASH_PLAINS || localBiome == Biomes.NETHER_BONEYARD) && dy > 0 && dy < this.world.getHeightBlocks()) {
+                    if (this.world.isAirBlock(dx, dy, dz) && this.world.getBlockMaterial(dx, dy - 1, dz).blocksMotion() && this.world.getBlockId(dx, dy - 1, dz) != Blocks.OBSIDIAN.id()) {
+                        this.world.setBlockWithNotify(dx, dy, dz, Blocks.LAYER_ASH.id());
                     }
                 }
             }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkGeneratorNether.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkGeneratorNether.java
index 087267360..5f0a9c863 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkGeneratorNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkGeneratorNether.java
@@ -6,10 +6,11 @@ import net.minecraft.core.world.generate.LargeFeature;
 import net.minecraft.core.world.generate.NetherBonesLargeFeature;
 import net.minecraft.core.world.generate.WarrensCavesLargeFeature;
 import net.minecraft.core.world.generate.chunk.perlin.ChunkGeneratorPerlin;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkGeneratorNether
     extends ChunkGeneratorPerlin {
-    public ChunkGeneratorNether(World world) {
+    public ChunkGeneratorNether(@NotNull World world) {
         super(
             world,
             new ChunkDecoratorNether(world),
